Bug 2012716 - [abrt] wireplumber: impl_node_enum_params(): wireplumber killed by SIGSEGV
Summary: [abrt] wireplumber: impl_node_enum_params(): wireplumber killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wireplumber
Version: 35
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hutterer
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3bd3a52a49b3fbc86e2eeeacb86...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-10-11 06:37 UTC by Christian Stadelmann
Modified: 2022-07-15 12:48 UTC (History)
3 users (show)

Fixed In Version: wireplumber-0.4.4-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 18:27:30 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (54.74 KB, text/plain)
2021-10-11 06:37 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (13.38 KB, text/plain)
2021-10-11 06:37 UTC, Christian Stadelmann
no flags Details
File: cpuinfo (2.37 KB, text/plain)
2021-10-11 06:37 UTC, Christian Stadelmann
no flags Details
File: dso_list (649 bytes, text/plain)
2021-10-11 06:37 UTC, Christian Stadelmann
no flags Details
File: exploitable (82 bytes, text/plain)
2021-10-11 06:37 UTC, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2021-10-11 06:37 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (1.38 KB, text/plain)
2021-10-11 06:37 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2021-10-11 06:37:45 UTC
Description of problem:
What I did:
1. I logged in to a GNOME/wayland session on a computer updated to F35 beta a few days ago.
2. In the GNOME session, I deleted the only existing bluetooth device and paired my bluetooth headset
3. After a few seconds, I logged out (at this time, gnome-shell always crashes [1])
4. At the login screen (bluetooth headset is still running), bluetooth connection to my headset toggled. I got about 3x "bluetooth connected" indicators in the headset directly followed by "bluetooth disconnected" indicators. This is what the bluetooth headset reads out. Also, the top-right bluetooth icon popped up and vanished a few times.

Please note that the crashes are from wireplumber running under GDM, not under my GNOME desktop session.
By the way: Is there any use case why wireplumber would run under GDM at all? Some accessibility/screen reader stuff? If no, how about disabling it there?

[1] ABRT tells me that I cannot report the crash due to "low information value https://retrace.fedoraproject.org/faf/reports/bthash/2f06ebfc06938bfc30866cf555373422075a4e4a

Version-Release number of selected component:
wireplumber-0.4.3-1.fc35

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cmdline:        /usr/bin/wireplumber
crash_function: impl_node_enum_params
executable:     /usr/bin/wireplumber
journald_cursor: s=93058fb2ba924fbc852fe39a25598a97;i=99af;b=508b254a9d994b8db432e85435241202;m=b2dd9ac;t=5ce0d471516d5;x=a61409c6ac99c463
kernel:         5.14.10-300.fc35.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 impl_node_enum_params at ../spa/plugins/bluez5/a2dp-sink.c:259
 #1 spa_node_enum_params_sync at ../spa/include/spa/node/utils.h:78
 #2 impl_node_enum_params at ../spa/plugins/audioconvert/audioadapter.c:149
 #3 spa_node_enum_params_sync at ../spa/include/spa/node/utils.h:78
 #4 add_node_update.isra.0 at ../src/modules/module-client-node/remote-node.c:314
 #5 do_node_init at ../src/modules/module-client-node/remote-node.c:954
 #6 node_export at ../src/modules/module-client-node/remote-node.c:1258
 #7 pw_core_export at ../src/pipewire/core.c:289
 #8 wp_impl_node_activate_execute_step at ../lib/wp/node.c:767
 #9 wp_transition_advance at ../lib/wp/transition.c:465

Comment 1 Christian Stadelmann 2021-10-11 06:37:48 UTC
Created attachment 1831708 [details]
File: backtrace

Comment 2 Christian Stadelmann 2021-10-11 06:37:49 UTC
Created attachment 1831709 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2021-10-11 06:37:51 UTC
Created attachment 1831710 [details]
File: cpuinfo

Comment 4 Christian Stadelmann 2021-10-11 06:37:52 UTC
Created attachment 1831711 [details]
File: dso_list

Comment 5 Christian Stadelmann 2021-10-11 06:37:53 UTC
Created attachment 1831712 [details]
File: exploitable

Comment 6 Christian Stadelmann 2021-10-11 06:37:54 UTC
Created attachment 1831713 [details]
File: limits

Comment 7 Christian Stadelmann 2021-10-11 06:37:55 UTC
Created attachment 1831714 [details]
File: proc_pid_status

Comment 8 Christian Stadelmann 2021-10-11 06:49:10 UTC
(In reply to Christian Stadelmann from comment #0)
[…]
> 3. After a few seconds, I logged out (at this time, gnome-shell always
> crashes [1])
[…]
> [1] ABRT tells me that I cannot report the crash due to "low information
> value
> https://retrace.fedoraproject.org/faf/reports/bthash/
> 2f06ebfc06938bfc30866cf555373422075a4e4a

Update: This crash has now been reported to bug #1963737, especially #1963737#c19

Comment 9 Fedora Update System 2021-10-15 14:49:46 UTC
FEDORA-2021-3c4c454c98 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

Comment 10 Fedora Update System 2021-10-15 20:51:58 UTC
FEDORA-2021-3c4c454c98 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3c4c454c98`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-10-24 20:21:20 UTC
FEDORA-2021-3c4c454c98 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3c4c454c98

Comment 12 Fedora Update System 2021-10-28 18:27:30 UTC
FEDORA-2021-3c4c454c98 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Ednan 2022-07-15 12:48:07 UTC
/var/spool/abrt/ccpp-2022-07-15-08:59:34.165860-2134
Gnome-shell saiu inesperadament 
O aplicativo encontrou um problema e não pode continuar
gnome-shell Travamento do aplicativo
gnome shell
versão 42.3.1-1.fc36.86_64
ABRT analytcs - Report #467609 - gnome-shell in pthread kill implementation

Descrição da ocorrencia
Estou usando dois monitores simultaneamente
carrego o sitema no monitor 1, e carrego os aplicativos no monitor 1
quando tento transportar as telas de um aplicativo para o monitor 2, o sistema aborta e recarrega para a pagina de login
Isto esta acontecendo desde quando atualizei meu fedora 34 para o fedora 36, atravez da atualização automatica do fedora
15 de julho de 2022


Note You need to log in before you can comment on or make changes to this bug.